
body {
    display: flex;
    justify-content: space-between;
    overflow-x: hidden;
}
video {
    width: 100%; height : 100dvh; object-fit: cover;
    position: absolute; top : 0; left : 0;
    z-index: -10;
}
.switch
{
    cursor: pointer;
}
#switchRectangle
{
    position: absolute;
    right: 0;
    min-height: 100%;
    width: 50%;
    background-color: rgb(0, 0, 8);
    z-index: 5;
    transition: 1s;
    display: flex;
    justify-content: center;
    align-items: center;
    animation : 0.75s spawnSignUp forwards;

}

#switchRectangle img {
    width: 40%;
}
#form
{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
}

/* Section lié au Sign Up */

#loginForm {
    animation : 1s spawnLogin forwards;
}#signUpForm {
    animation : 3s spawnSignUp forwards;
}
#signUpForm, #loginForm{
    border-radius: 15px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgb(255, 249, 252);
    box-sizing: border-box;
    width: 30%;
    color : #ff6ab0;
    padding : 2%;
}

#signUpForm > form, #loginForm > form:first-of-type{
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    color : #ff6ab0;
}
#mailResetPswForm
{
    display: none;
    list-style: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    color : #ff6ab0;
}
#signUpForm label, #loginForm label {
    margin : 2%;
}
#signUpForm input, #loginForm input{
    width : 100%;
    font-family: "Mitogen";
    color : #ff6ab0;
    border-radius: 25px; padding : 1%;
    border: 1px solid #ff6ab0;
    background-color: rgb(247, 252, 255);
    box-shadow: 1px 1px 5px rgba(144, 174, 251, 0.3);
}

#signUpForm form > div{
    display: flex; flex-direction: row; justify-content: space-evenly;
    width: 100%;
}

#signUpForm form > div > div {
    display: flex; flex-direction: column; justify-content: center;
}

input::placeholder {
    text-align: center;
    color : #ff6ab075;
}

.switch {
    font-weight: bold;
}
#passwordSection {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.submitSign {
    background-color: #ff6ab0;
    border : none;
}

.errorMessage {
    text-align: center;
    color : #ff6ab0;
}

#showPswButton {
    width : 10%;
    margin : 2%;
    display: inline;
}

button {
    border-radius: 5dvh;
    color: white;
    background-color: #ff6ab0;
    width: 100%; padding: 3%;
}

button:hover {
    cursor: pointer;
}

#buttonResetPsw {
    border: none; background: none;

    color: #ff6ab0; font-weight: bold;
}

/* spawn and dispawn */
@keyframes spawnLogin {
    0%{
        transform : translateX(-150%);
    }100% {
        transform : translateX(0%);
    }
}@keyframes spawnSignUp{
    0%{
        transform : translateX(150%);
    }100% {
        transform : translateX(0%);
    }
}

@keyframes despawnLogin {
    0%{
        transform : translateX(0%);
    }100% {
        transform : translateX(-150%);
    }
}

@keyframes despawnSignUp {
    0%{
        transform : translateX(0%);
    }100% {
        transform : translateX(150%);
    }
}

@keyframes despawnRectangle{
    0%{
        transform : translateX(-100%);
    }100% {
        transform : translateX(-200%);
    }
}
/* slide rectangle */
@keyframes slideRectangle{
    0%{
        transform : translateX(0dvw);
    }100% {
        transform : translateX(-100%);
    }
}

@keyframes slideRectangleInverse{
    0%{
        transform : translateX(-100%);
        
    }100% {
        transform : translateX(0dvw);
    }
}

.spawLogin
{
    animation : 1s spawnLogin forwards;
}

@media screen and (max-width : 450px) 
{
    *{
        animation: none !important;
    }
    #form {
        width: auto;
    }
    #signUpForm, #loginForm{
        border-radius: 15px;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-color: rgb(255, 249, 252);
        box-sizing: border-box;
        width: 90dvw;
        color : #ff6ab0; 
        padding : 2%;
        transition: 1s;
    }
    #form > * {
        font-size: 1rem;
    }
    #loginForm
    {
        transform : translateX(6%);
    }
    #signUpForm
    {
        transform: translate(20dvw);
    }
    #switchRectangle {
        display: none;
    }
}